## kanboard 1.2.26+ds

=== Makefile ===
DOCKER_IMAGE := docker.io/kanboard/kanboard
DOCKER_TAG := main
VERSION := $(shell git rev-parse --short HEAD)

.PHONY: archive test-sqlite test-mysql test-postgres sql \
	docker-image docker-images docker-run docker-sh

archive:
	@ echo "Build archive: version=$(VERSION)"
	@ git archive --format=zip --prefix=kanboard/ $(VERSION) -o kanboard-$(VERSION).zip

test-sqlite:
	@ ./vendor/bin/phpunit -c tests/units.sqlite.xml

test-mysql:
	@ ./vendor/bin/phpunit -c tests/units.mysql.xml

test-postgres:
	@ ./vendor/bin/phpunit -c tests/units.postgres.xml

sql:
	@ pg_dump --schema-only --no-owner --no-privileges --quote-all-identifiers -n public --file app/Schema/Sql/postgres.sql kanboard
	@ pg_dump -d kanboard --column-inserts --data-only --table settings >> app/Schema/Sql/postgres.sql
	@ pg_dump -d kanboard --column-inserts --data-only --table links >> app/Schema/Sql/postgres.sql

	@ mysqldump -uroot --quote-names --no-create-db --skip-comments --no-data --single-transaction kanboard | sed 's/ AUTO_INCREMENT=[0-9]*//g' > app/Schema/Sql/mysql.sql
	@ mysqldump -uroot --quote-names --no-create-info --skip-comments --no-set-names kanboard settings >> app/Schema/Sql/mysql.sql
	@ mysqldump -uroot --quote-names --no-create-info --skip-comments --no-set-names kanboard links >> app/Schema/Sql/mysql.sql

	@ let password_hash=`php -r "echo password_hash('admin', PASSWORD_DEFAULT);"` ;\
	echo "INSERT INTO users (username, password, role) VALUES ('admin', '$$password_hash', 'app-admin');" >> app/Schema/Sql/mysql.sql ;\
	echo "INSERT INTO public.users (username, password, role) VALUES ('admin', '$$password_hash', 'app-admin');" >> app/Schema/Sql/postgres.sql

	@ let mysql_version=`echo 'select version from schema_version;' | mysql -N -uroot kanboard` ;\
	echo "INSERT INTO schema_version VALUES ('$$mysql_version');" >> app/Schema/Sql/mysql.sql

	@ let pg_version=`psql -U postgres -A -c 'copy(select version from schema_version) to stdout;' kanboard` ;\
	echo "INSERT INTO public.schema_version VALUES ('$$pg_version');" >> app/Schema/Sql/postgres.sql

	@ grep -v "SET idle_in_transaction_session_timeout = 0;" app/Schema/Sql/postgres.sql > temp && mv temp app/Schema/Sql/postgres.sql

docker-image:
	@ docker build --build-arg VERSION=main.$(VERSION) -t $(DOCKER_IMAGE):$(DOCKER_TAG) .

docker-images:
	docker buildx build \
		--platform linux/amd64,linux/arm64,linux/arm/v7,linux/arm/v6 \
		--file Dockerfile \
		--build-arg VERSION=main.$(VERSION) \
		--tag $(DOCKER_IMAGE):$(VERSION) \
		.

docker-run:
	@ docker run --rm --name=kanboard -p 80:80 -p 443:443 $(DOCKER_IMAGE):$(DOCKER_TAG)

docker-sh:
	@ docker exec -ti kanboard bash

=== debian/changelog ===
kanboard (1.2.26+ds-2+deb12u2) bookworm-security; urgency=high

  * backport fix for CVE-2023-36813: Multiple Authenticated SQL Injections
    https://github.com/kanboard/kanboard/security/advisories/GHSA-9gvq-78jp-jxcx
    Fix picked from kanboard v1.2.31
    https://github.com/kanboard/kanboard/commit/25b93343baeaf8ad
    (Closes: #1040265)

 -- Joseph Nahmias <jello@debian.org>  Wed, 12 Jul 2023 20:13:20 -0400

kanboard (1.2.26+ds-2+deb12u1) bookworm; urgency=high

  * Cherry-pick security fixes from kanboard_1.2.26+ds-[34] for bookworm.
  * backport fix for CVE-2023-32685 from kanboard v1.2.29
    https://github.com/kanboard/kanboard/security/advisories/GHSA-hjmw-gm82-r4gv
    Based on upstream commits 26b6eeb & c9c1872.
    (cherry picked from commit d9b8d854f2d35831b04b84cfdda41cc7b49e3a28)
    (Closes: #1036874)
  * backport security fixes from kanboard v1.2.30.
     > CVE-2023-33956: Parameter based Indirect Object Referencing leading
       to private file exposure
     > CVE-2023-33968: Missing access control allows user to move and
       duplicate tasks to any project in the software
     > CVE-2023-33969: Stored XSS in the Task External Link Functionality
     > CVE-2023-33970: Missing access control in internal task links feature
    (cherry picked from commit 4ad0ad220613bbf04bef559addba8c363fdf0dfa)
    (Closes: #1037167)
  * point gbp & salsa at bookworm

 -- Joseph Nahmias <jello@debian.org>  Thu, 15 Jun 2023 23:02:33 -0400

kanboard (1.2.26+ds-2) unstable; urgency=medium

  * properly test for lighty-enable-mod.
    This fixes a bug in how the postinst/prerm maint scripts check whether
    to enable kanboard for lighttpd, which caused it to fail when lighttpd
    was not installed. (Closes: #1035598)
  * adapt some more areas to the new Symfony EventDispatcher API
    fix a couple of spots where we missed updating to the new dispatch() API:
    - standard db-based Auth
    - jsonrpc Auth
  * do not redirect access to Kanboard's JSONRPC API.
    It uses its own authentication and shouldn't be bounced to the standard
    login page.
  * add autopkgtest to ensure Kanboard JSONRPC API (minimally) works
  * add apache install autopkgtest
  * test(jsonrpc): make curl report errors in a cleaner way
  * test(jsonrpc): add php-fpm as test dep

 -- Joseph Nahmias <jello@debian.org>  Tue, 16 May 2023 22:49:38 -0400

kanboard (1.2.26+ds-1) unstable; urgency=medium

  * [1f43019] New upstream version 1.2.26+ds
  * [e0916f0] d/patches: refresh and drop upstream merges
  * [8a5ade4] exclude 32bit archs from autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Sat, 14 Jan 2023 19:54:15 -0500

kanboard (1.2.25+ds-3) unstable; urgency=medium

  * [b4fa823] a 64-bit arch is required for using/testing kanboard, not building
  * [dac145e] version build/test dep on pkg-php-tools (>= 1.41)
    ensures phpabtpl is available when backporting

 -- Joseph Nahmias <jello@debian.org>  Thu, 12 Jan 2023 11:19:30 -0500

kanboard (1.2.25+ds-2) unstable; urgency=medium

  * [887e6ff] only build on 64bit architectures
    upstream does not support 32bit and tests for y2038 rollover in times
    stored as a 32-bit int in PHP.  See testDueDateYear2038TimestampBug()
    in tests/units/Model/TaskCreationModelTest.php
  * [c871072] clean additional generated css files
  * [e0aa317] fix test failures with php8.2

 -- Joseph Nahmias <jello@debian.org>  Thu, 12 Jan 2023 00:05:46 -0500

kanboard (1.2.25+ds-1) unstable; urgency=medium

  * [6e31cb2] New upstream version 1.2.25+ds
    - includes upstream fix for using assertEqualsWithDelta()
      which fixes a FTBFS (Closes: #1021906)
  * [47a509b] drop patch merged upstream; refresh remaining
  * [cf1db16] save kanboard logfile as autopkgtest artifact
  * [53c46eb] put kanboard file cache in /var/cache
  * [0784b92] install top-level .htaccess as a conffile
  * [378f68b] ignore kanboard unittest output during build

 -- Joseph Nahmias <jello@debian.org>  Thu, 17 Nov 2022 11:43:52 -0500

kanboard (1.2.23+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:12:18 +0200

kanboard (1.2.23+ds-1) unstable; urgency=medium

  * [a9bdcb4] d/copyright: PHPQRCode/Autoloader.php is under LGPL-2.1+,
    not LGPL-3.0+
    Thanks to Thorsten Alteholz
  * [53048a2] New upstream version 1.2.23+ds
  * [a28a4a4] refresh patches
  * [b3e45f0] add missing License for LGPL-2.1

 -- Joseph Nahmias <jello@debian.org>  Mon, 12 Sep 2022 21:15:58 -0400

kanboard (1.2.22+ds-1) unstable; urgency=medium

  * Initial release (Closes: #790814)
  * [2b6e9e9] add smoke test
  * [8501957] run upstream unit tests as autopkgtest
  * [7717e06] loosen php module version requirements
  * [ca5932b] clear executable-bit where unneeded
  * [417628b] do not install docs for vendored libs
  * [fbb713e] override lintian false positives
  * [da0c549] write package version to a file so it can be displayed
              to the user
  * [c619475] fix location to read app version
  * [09179f3] unmangle version for plugin compatibility testing
  * [28b2967] fix unit test that assumes tested version is git master
  * [e76932b] add gbp config
  * [622ade0] enable salsa CI
  * [249636c] run cronjob as www-data instead of root
  * [6586c9e] add systemd timer for daily maintenance as suggested by lintian
  * [1c63928] skip cronjob if systemd is active
  * [f444b22] add DEP3 headers to patches
  * [a93f835] generate manpage using help2man
  * [a42d3b3] create version.txt earlier so it is available during
              manpage generation
  * [de44deb] drop README.Debian

 -- Joseph Nahmias <jello@debian.org>  Sun, 24 Jul 2022 10:39:13 -0400

=== debian/control ===
Source: kanboard
Section: web
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-phpcomposer,
 fonts-font-awesome,
 help2man,
 libjs-c3,
 libjs-d3,
 libjs-ismobilejs,
 libjs-jquery,
 libjs-jquery-timepicker,
 libjs-jquery-ui,
 libjs-jquery-ui-touch-punch,
 libjs-select2.js,
 libjs-textarea-caret,
 pkg-php-tools (>= 1.41),
 phpab,
 composer,
 php-gd,
 php-json,
 php-mbstring,
 php-sqlite3,
 architecture-is-64-bit <!nocheck>,
 php-xml <!nocheck>,
 phpunit <!nocheck>,
 php-christianriesen-otp <!nocheck>,
 php-eluceo-ical <!nocheck>,
 php-gregwar-captcha <!nocheck>,
 php-ldap <!nocheck>,
 php-matthiasmullie-minify <!nocheck>,
 php-parsedown <!nocheck>,
 php-pimple <!nocheck>,
 php-psr-log <!nocheck>,
 php-swiftmailer <!nocheck>,
 php-symfony-console <!nocheck>,
 php-symfony-event-dispatcher <!nocheck>,
 php-symfony-finder <!nocheck>,
 php-symfony-stopwatch <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://kanboard.org/
Vcs-Browser: https://salsa.debian.org/debian/kanboard
Vcs-Git: https://salsa.debian.org/debian/kanboard.git
Rules-Requires-Root: binary-targets

Package: kanboard
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require},
 architecture-is-64-bit,
 php-cli,
 lighttpd | libapache2-mod-php | httpd-cgi,
 php-sqlite3 | php-pgsql | php-mysql,
 fonts-font-awesome,
Recommends: ${phpcomposer:Debian-recommend}
 default-mta | mail-transport-agent,
 php-curl,
 php-fpm,
 php-ldap,
 php-zip,
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: kanban project management software
 Kanboard (https://kanboard.org) is a project management software that
 focuses on the Kanban methodology. It has the following features:
 .
  * Visualize your work
  * Limit your work in progress to be more efficient
  * Customize your boards according to your business activities
  * Multiple projects with the ability to drag and drop tasks
  * Reports and analytics
  * Fast and simple to use
  * Access from anywhere with a modern browser
  * Plugins and integrations with external services
  * Free, open source and self-hosted

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE = 1

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	mkdir --parents vendor/app
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.php.tpl \
		app \
		libs \
		libs/picodb/lib \
		libs/jsonrpc/src
	ln -s ../../app/functions.php vendor/app/functions.php
	printf '%s\n' "$(DEB_VERSION)" > $(CURDIR)/app/version.txt
	@echo '  [*]' Building and minimizing the CSS
	$(CURDIR)/cli css
	@echo '  [*]' Building and minimizing the JavaScript
	$(CURDIR)/cli js
	@echo '  [*]' Generating manpage
	ln -s ../cli debian/kanboard-cli
	help2man --name="administrative interface for kanboard" \
		--section=8 \
		--no-info \
		--help-option=list \
		--version-string=$(DEB_VERSION) \
		--output=debian/kanboard-cli.8 \
		debian/kanboard-cli

override_dh_auto_test: export LOG_DRIVER := file
override_dh_auto_test: export LOG_FILE := /dev/null
override_dh_auto_test:
	mkdir --parents vendor
	phpabtpl \
		--basedir vendor \
		--require symfony/stopwatch \
		--require-file autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.tests.php \
		--template debian/autoload.tests.php.tpl \
		tests/units
	phpunit --verbose --configuration tests/units.sqlite.xml --bootstrap vendor/autoload.tests.php

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

execute_after_dh_install:
	rm -f $(CURDIR)/debian/kanboard/usr/share/kanboard/libs/*/LICENSE
	rm -f $(CURDIR)/debian/kanboard/usr/share/kanboard/libs/*/README.*

execute_after_dh_fixperms:
	chown www-data:www-data \
		$(CURDIR)/debian/kanboard/var/cache/kanboard \
		$(CURDIR)/debian/kanboard/var/lib/kanboard/data \
		$(CURDIR)/debian/kanboard/var/lib/kanboard/files \
		$(CURDIR)/debian/kanboard/var/lib/kanboard/plugins
	find $(CURDIR)/debian/kanboard -type f -perm /111 \
		\( -name '*.php' -o -name '*.dat' \) -print0 \
		| xargs -0 chmod -x

## kanboard 1.2.31+ds2

=== debian/changelog ===
kanboard (1.2.31+ds2-1) unstable; urgency=medium

  * New upstream version 1.2.31+ds2
    + exclude upstream's .gitattributes to fix salsa CI pipeline
  * add missing dep on libjs-jquery-ui (Closes: #1040558)
  * salsa-ci: do not build on i386; 32bit is unsupported
  * drop unused lintian source override

 -- Joseph Nahmias <jello@debian.org>  Sat, 08 Jul 2023 23:39:58 -0400

kanboard (1.2.31+ds-1) unstable; urgency=medium

  * New upstream version 1.2.31+ds
    - CVE-2023-36813: Avoid potential SQL injections without breaking
      compatibility with plugins
      https://github.com/kanboard/kanboard/security/advisories/GHSA-9gvq-78jp-jxcx
      (Closes: #1040265)
  * drop patches merged upstream; refresh others

 -- Joseph Nahmias <jello@debian.org>  Mon, 03 Jul 2023 20:54:54 -0400

kanboard (1.2.30+ds-1) unstable; urgency=medium

  * New upstream version 1.2.30+ds
  * drop/refresh patches as needed
  * fix PHPUnit deprecation warnings
  * mark patches as Fowarded upstream

 -- Joseph Nahmias <jello@debian.org>  Sat, 01 Jul 2023 23:10:51 -0400

kanboard (1.2.26+ds-4) unstable; urgency=medium

  * backport security fixes from kanboard v1.2.30
     > CVE-2023-33956: Parameter based Indirect Object Referencing leading
       to private file exposure
     > CVE-2023-33968: Missing access control allows user to move and
       duplicate tasks to any project in the software
     > CVE-2023-33969: Stored XSS in the Task External Link Functionality
     > CVE-2023-33970: Missing access control in internal task links feature
    (Closes: #1037167)

 -- Joseph Nahmias <jello@debian.org>  Wed, 07 Jun 2023 20:45:40 -0400

kanboard (1.2.26+ds-3) unstable; urgency=medium

  * backport fix for CVE-2023-32685 from kanboard v1.2.29
    https://github.com/kanboard/kanboard/security/advisories/GHSA-hjmw-gm82-r4gv
    Based on upstream commits 26b6eeb & c9c1872. (Closes: #1036874)

 -- Joseph Nahmias <jello@debian.org>  Sun, 28 May 2023 21:42:46 -0400

=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
  lighttpd | libapache2-mod-php | httpd-cgi,
  php-sqlite3 | php-pgsql | php-mysql,
  fonts-font-awesome,
+ libjs-jquery-ui,
 Recommends: ${phpcomposer:Debian-recommend}
  default-mta | mail-transport-agent,
  php-curl,

## kanboard 1.2.44+ds

=== debian/changelog ===
kanboard (1.2.44+ds-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * bump Standards-Version to 4.6.2
  * add support for phpunit 10 (Closes: #1039751):
    - remove deprecated phpunit verbose option
    - comply with phpunit 10 removals and deprecations

  [ Joseph Nahmias ]
  * New upstream version 1.2.38+ds
  * refresh patches
  * New upstream version 1.2.43+ds
  * refresh patches for v1.2.43
  * fix declarations in Logger class
  * show deprecation notices
  * disable deprecated csv escape by default
  * fix implicit null type for LDAP User group
  * unvendor parsedown and event-dispatcher
  * clean up all minified css and js
  * New upstream version 1.2.44+ds

 -- Joseph Nahmias <jello@debian.org>  Fri, 11 Apr 2025 13:35:26 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  php-symfony-event-dispatcher <!nocheck>,
  php-symfony-finder <!nocheck>,
  php-symfony-stopwatch <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://kanboard.org/
 Vcs-Browser: https://salsa.debian.org/debian/kanboard
 Vcs-Git: https://salsa.debian.org/debian/kanboard.git

=== debian/tests/control ===
# ignore 32-bit architectures

Test-Command: /usr/share/kanboard/cli version
Depends: kanboard
Features: test-name=smoke-cli
Restrictions: needs-root, superficial
Architecture: !armel !armhf !i386

Tests: upstream
Depends:
 kanboard,
 phpab,
 phpunit,
 php-ldap,
 php-symfony-stopwatch,
 pkg-php-tools (>= 1.41),
Restrictions: needs-root
Architecture: !armel !armhf !i386

Test-Command: debian/tests/check_version_via_jsonrpc_api.sh
Depends:
 lighttpd,
 kanboard,
 php-fpm,
 sqlite3,
 curl,
 jq,
Features: test-name=smoke-jsonrpc-lighttpd
Restrictions: needs-root, superficial
Architecture: !armel !armhf !i386

Test-Command: /usr/bin/true
Depends:
 apache2,
 kanboard,
Features: test-name=install-apache
Restrictions: superficial
Architecture: !armel !armhf !i386

## kanboard 1.2.47+ds

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	@ grep -v "SET idle_in_transaction_session_timeout = 0;" app/Schema/Sql/postgres.sql > temp && mv temp app/Schema/Sql/postgres.sql
 
 docker-image:
-	@ docker build --build-arg VERSION=main.$(VERSION) -t $(DOCKER_IMAGE):$(DOCKER_TAG) .
+	@ docker buildx build --load --build-arg VERSION=main.$(VERSION) -t $(DOCKER_IMAGE):$(DOCKER_TAG) .
 
 docker-images:
 	docker buildx build \

=== debian/changelog ===
kanboard (1.2.47+ds-2) unstable; urgency=medium

  [ David Prévot ]
  * Compatibility with recent PHPUnit (12)

  [ Joe Nahmias ]
  * show PHP & PHPUnit deprecations during tests
  * re-run wrap-and-sort -asbkt

 -- Joseph Nahmias <jello@debian.org>  Sat, 27 Sep 2025 21:42:07 -0400

kanboard (1.2.47+ds-1) unstable; urgency=medium

  * New upstream version 1.2.47+ds
    + Password Reset Poisoning via Host Header Injection:
      GHSA-2ch5-gqjm-8p92 aka CVE-2025-52560. Closes: #1112361.
    + Authenticated Admin Remote Code Execution via Unsafe Deserialization
      of Events:  GHSA-359x-c69j-q64r aka CVE-2025-55010. Closes: #1112363.
    + Stored XSS in project name: GHSA-5wj3-c9v4-pj9v aka CVE-2025-46825.
      Closes: #1112360.
    + Username Enumeration via Login Behavior and Bruteforce Protection Bypass:
      GHSA-qw57-7cx6-wvp7 aka CVE-2025-52576. Closes: #1112362.
    + Path Traversal in File Write via Task File Upload Api:
      GHSA-26f4-rx96-xc55 aka CVE-2025-55011. Closes: #1112364.
  * drop/refresh patches, as needed
  * enable build profiles in salsa ci
  * build package twice in salsa ci
  * enable salsa ci stats reporting
  * run wrap-and-sort -asbkt; enable job in salsa ci

 -- Joseph Nahmias <jello@debian.org>  Sat, 30 Aug 2025 22:32:02 -0400

=== debian/control ===
Source: kanboard
Section: web
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-phpcomposer,
 architecture-is-64-bit <!nocheck>,
 composer,
 fonts-font-awesome,
 help2man,
 libjs-c3,
 libjs-d3,
 libjs-ismobilejs,
 libjs-jquery,
 libjs-jquery-timepicker,
 libjs-jquery-ui,
 libjs-jquery-ui-touch-punch,
 libjs-select2.js,
 libjs-textarea-caret,
 php-christianriesen-otp <!nocheck>,
 php-eluceo-ical <!nocheck>,
 php-gd,
 php-gregwar-captcha <!nocheck>,
 php-json,
 php-ldap <!nocheck>,
 php-matthiasmullie-minify <!nocheck>,
 php-mbstring,
 php-parsedown <!nocheck>,
 php-pimple <!nocheck>,
 php-psr-log <!nocheck>,
 php-sqlite3,
 php-swiftmailer <!nocheck>,
 php-symfony-console <!nocheck>,
 php-symfony-event-dispatcher <!nocheck>,
 php-symfony-finder <!nocheck>,
 php-symfony-stopwatch <!nocheck>,
 php-xml <!nocheck>,
 phpab,
 phpunit <!nocheck>,
 pkg-php-tools (>= 1.41),
Standards-Version: 4.6.2
Homepage: https://kanboard.org/
Vcs-Browser: https://salsa.debian.org/debian/kanboard
Vcs-Git: https://salsa.debian.org/debian/kanboard.git
Rules-Requires-Root: binary-targets

Package: kanboard
Architecture: all
Depends:
 architecture-is-64-bit,
 fonts-font-awesome,
 libjs-jquery-ui,
 lighttpd | libapache2-mod-php | httpd-cgi,
 php-cli,
 php-sqlite3 | php-pgsql | php-mysql,
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Recommends:
 php-curl,
 php-fpm,
 php-ldap,
 php-zip,
 ${phpcomposer:Debian-recommend}
 default-mta | mail-transport-agent,
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: kanban project management software
 Kanboard (https://kanboard.org) is a project management software that
 focuses on the Kanban methodology. It has the following features:
 .
  * Visualize your work
  * Limit your work in progress to be more efficient
  * Customize your boards according to your business activities
  * Multiple projects with the ability to drag and drop tasks
  * Reports and analytics
  * Fast and simple to use
  * Access from anywhere with a modern browser
  * Plugins and integrations with external services
  * Free, open source and self-hosted

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,12 @@
 		--output vendor/autoload.tests.php \
 		--template debian/autoload.tests.php.tpl \
 		tests/units
-	phpunit --verbose --configuration tests/units.sqlite.xml --bootstrap vendor/autoload.tests.php
+	phpunit \
+		--configuration tests/units.sqlite.xml \
+		--bootstrap vendor/autoload.tests.php \
+		--do-not-cache-result \
+		--display-deprecations \
+		--display-phpunit-deprecations
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog

=== debian/tests/control ===
# ignore 32-bit architectures

Test-Command: /usr/share/kanboard/cli version
Depends:
 kanboard,
Features:
 test-name=smoke-cli,
Restrictions:
 needs-root,
 superficial,
Architecture: !armel !armhf !i386

Tests:
 upstream,
Depends:
 kanboard,
 php-ldap,
 php-symfony-stopwatch,
 phpab,
 phpunit,
 pkg-php-tools (>= 1.41),
Restrictions:
 needs-root,
Architecture: !armel !armhf !i386

Test-Command: debian/tests/check_version_via_jsonrpc_api.sh
Depends:
 curl,
 jq,
 kanboard,
 lighttpd,
 php-fpm,
 sqlite3,
Features:
 test-name=smoke-jsonrpc-lighttpd,
Restrictions:
 needs-root,
 superficial,
Architecture: !armel !armhf !i386

Test-Command: /usr/bin/true
Depends:
 apache2,
 kanboard,
Features:
 test-name=install-apache,
Restrictions:
 superficial,
Architecture: !armel !armhf !i386

=== debian/watch ===
# See uscan(1) for format
version=4

# Access git repo directly with gitexport=all since upstream excludes many
# files from their release archives.
opts="mode=git,gitexport=all,dversionmangle=auto,repacksuffix=+ds" \
   https://github.com/kanboard/kanboard.git \
   refs/tags/v?(\d[\d.]*)

## kanboard 1.2.48+ds

=== debian/changelog ===
kanboard (1.2.48+ds-1) unstable; urgency=medium

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from several BD. (Closes: #1122316)

  [ Joseph Nahmias ]
  * New upstream version 1.2.48+ds
  * rediff patches for gbp pq
  * d/control: bump Std-Ver to 4.7.2; no changes

 -- Joseph Nahmias <jello@debian.org>  Thu, 18 Dec 2025 22:26:58 -0500

## kanboard 1.2.49%2Bds

=== debian/changelog ===
kanboard (1.2.49+ds-1) unstable; urgency=medium

  * New upstream version 1.2.49+ds
    + fixes CVE-2026-21880 aka GHSA-v66r-m28r-wmq7
      Kanboard LDAP Injection Vulnerability
    + fixes CVE-2026-21881 aka GHSA-wwpf-3j4p-739w
      Kanboard Reverse Proxy Authentication Bypass
    + fixes CVE-2026-21879 aka GHSA-mhv9-7m9w-7hcq
      Kanboard Open Redirect Vulnerability
    Closes: #1125061
  * refresh patches

 -- Joseph Nahmias <jello@debian.org>  Thu, 08 Jan 2026 20:38:04 -0500

## kanboard 1.2.50+ds

=== debian/changelog ===
kanboard (1.2.50+ds-1) unstable; urgency=medium

  * New upstream version 1.2.50+ds
    + fixes CVE-2026-25924 aka GHSA-grch-p7vf-vc4f
      Administrative RCE via Security Control Bypass
    + fixes CVE-2026-24885 aka GHSA-582j-h4w4-hwr5
      CSRF in Project Role Assignment
    + fixes CVE-2026-25530 aka GHSA-6rxw-vvvj-r93q
      Missing authorization check in getSwimlane API
    + fixes CVE-2026-25531 aka GHSA-vrm3-3337-whp9
      TaskCreationController::duplicateProjects() does not
      validate permissions
    Closes: #1127924, #1127694.
  * Rediff patches

 -- Joseph Nahmias <jello@debian.org>  Mon, 16 Feb 2026 20:25:55 -0500

=== debian/control ===
--- 
+++ 
@@ -18,28 +18,28 @@
  libjs-jquery-ui-touch-punch,
  libjs-select2.js,
  libjs-textarea-caret,
- php-christianriesen-otp <!nocheck>,
- php-eluceo-ical <!nocheck>,
+ php-christianriesen-otp,
+ php-eluceo-ical,
  php-gd,
- php-gregwar-captcha <!nocheck>,
+ php-gregwar-captcha,
  php-json,
  php-ldap <!nocheck>,
- php-matthiasmullie-minify <!nocheck>,
+ php-matthiasmullie-minify,
  php-mbstring,
- php-parsedown <!nocheck>,
- php-pimple <!nocheck>,
+ php-parsedown,
+ php-pimple,
  php-psr-log <!nocheck>,
  php-sqlite3,
- php-swiftmailer <!nocheck>,
+ php-swiftmailer,
  php-symfony-console <!nocheck>,
- php-symfony-event-dispatcher <!nocheck>,
+ php-symfony-event-dispatcher,
  php-symfony-finder <!nocheck>,
  php-symfony-stopwatch <!nocheck>,
  php-xml <!nocheck>,
  phpab,
  phpunit <!nocheck>,
  pkg-php-tools (>= 1.41),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://kanboard.org/
 Vcs-Browser: https://salsa.debian.org/debian/kanboard
 Vcs-Git: https://salsa.debian.org/debian/kanboard.git
